package sgc.portal.ei.ei0105.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.ei.ei0105.dto.EI01050001USearch;
import sgc.portal.ei.ei0105.model.EI01050001U;
import sgc.portal.ei.ei0105.service.EI01050001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/ei/ei0105")
public class EI01050001UController {
    private final EI01050001UService service;

    public EI01050001UController(EI01050001UService service) {
        this.service = service;
    }
    
    /*
     * 조회 LIST
     */
    @PostMapping("/EI01050001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody EI01050001USearch search) {
        return service.getList(search);
    }
    
    /*
     * SAVE LIST
     */
    @PostMapping("/EI01050001U/save")
    public Map<String, String> save(@RequestBody List<EI01050001U> eI01050001U) {
    	return service.save(eI01050001U);
    }
    
}
